%define git 0
%if %git
%define release %mkrel 2
%else
%define release %mkrel 3
%endif

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%bcond_without bootstrap

Summary:	Common JavaScript modules for GNOME
Name:		gnome-js-common
Version:	0.1.2
Release:	%{release}
Epoch:		1
%if %git
Source0:	%{name}-%{git}.tar.bz2
%else
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
%endif
License:	GPLv3
Group:		Development/Other
Url:		http://www.gnome.org
BuildArch:	noarch
%if ! %with bootstrap
BuildRequires:	seed-devel
%endif
BuildRequires:	gjs-devel
BuildRequires:	intltool
BuildRequires:	libtool

%description
gnome-js-common is a module holding tests and JavaScript code useful
or common to both Seed and gjs.

%prep
%if %git
%setup -q -n %name
./autogen.sh -V
%else
%setup -q
%endif

%build
./configure \
	--prefix=%_prefix \
	--datadir=%_datadir \
	--libdir=%_datadir \
%if %with bootstrap
	--disable-seed
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std gnome_js_commondocdir=%_datadir/doc/%name

%files
%doc %_datadir/doc/%name
%_datadir/gnome-js
%_datadir/pkgconfig/gnome-js-common.pc


%changelog

* Wed Feb 15 2012 ovitters <ovitters> 1:0.1.2-3.mga2
+ Revision: 209279
- clean spec

* Thu Mar 24 2011 boklm <boklm> 1:0.1.2-2.mga1
+ Revision: 76147
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 1:0.1.2-1.mga1
+ Revision: 72679
- update to 0.1.2 and add an Epoch so that it can be installed over the 0.2
  package which was a git snapshot
- add a bootstrap to build without seed-devel (circular BR)

  + ennael <ennael>
    - imported package gnome-js-common


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdv2011.0
+ Revision: 605471
- rebuild

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2010.1
+ Revision: 484675
- update to new version 0.2

* Sat Jul 11 2009 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 394710
- update to new version 0.1.1

* Fri May 29 2009 Götz Waschk <waschk@mandriva.org> 0.1-0.20090529.1mdv2010.0
+ Revision: 381105
- import gnome-js-common


